Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024769
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-09-14 08:532013-09-17 19:03
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision20ad0998273f
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024769: More deprecation warnings related to temp-table creation on postgresql >=9.3

DescriptionSimilar to issue 23040 org.openbravo.database.SessionInfo in src-core also creates a temporary table on postgresql using the deprecated keyword 'GLOBAL'.

It should be removed there as well as it is deprecated and does not do anything functionally.
Steps To ReproduceRun install.source and observe postgresql.log file
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023040 closedAugustoMauch Warning in PostgreSQL 9.2 related to a statement in the prescript 

-  Notes
(0061164)
hgbot (developer)
2013-09-16 09:48

Repository: erp/devel/pi
Changeset: 20ad0998273febae528be8031a6d0a3f86607603
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat Sep 14 08:55:54 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/20ad0998273febae528be8031a6d0a3f86607603 [^]

Fixed 24769: Fix deprecation warning on temp table creation.
Remove deprecated global flag from temporary table creation on
postgresql.

---
M src-core/src/org/openbravo/database/SessionInfo.java
---
(0061165)
AugustoMauch (developer)
2013-09-16 10:06

Code reviewed and verified in pi@20ad0998273f
(0061255)
hudsonbot (developer)
2013-09-17 19:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-14 08:53 shuehner New Issue
2013-09-14 08:53 shuehner Assigned To => shuehner
2013-09-14 08:53 shuehner Modules => Core
2013-09-14 08:53 shuehner Triggers an Emergency Pack => No
2013-09-14 08:53 shuehner Relationship added related to 0023040
2013-09-14 08:54 shuehner Review Assigned To => AugustoMauch
2013-09-14 08:54 shuehner Target Version => 3.0MP28
2013-09-16 09:48 hgbot Checkin
2013-09-16 09:48 hgbot Note Added: 0061164
2013-09-16 09:48 hgbot Status new => resolved
2013-09-16 09:48 hgbot Resolution open => fixed
2013-09-16 09:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/20ad0998273febae528be8031a6d0a3f86607603 [^]
2013-09-16 10:06 AugustoMauch Note Added: 0061165
2013-09-16 10:06 AugustoMauch Status resolved => closed
2013-09-16 10:06 AugustoMauch Fixed in Version => 3.0MP28
2013-09-17 19:03 hudsonbot Checkin
2013-09-17 19:03 hudsonbot Note Added: 0061255


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker